# WOK
TKWOK
WOKernel

# WOKernel_IndexedDataMapNodeOfSCMapOfSortedImpldepFromIterator Class Reference

`#include <WOKernel_IndexedDataMapNodeOfSCMapOfSortedImpldepFromIterator.hxx>`

## Public Member Functions

| WOKernel_IndexedDataMapNodeOfSCMapOfSortedImpldepFromIterator (const Handle(TCollection_HAsciiString)&K1, const Standard_Integer K2, const Standard_Integer &I, const TCollection_MapNodePtr &n1, const TCollection_MapNodePtr &n2)
Handle_TCollection_HAsciiString & | Key1 () const
Standard_Integer & | Key2 () const
TCollection_MapNodePtr & | Next2 () const
Standard_Integer & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | myKey1
Standard_Integer | myKey2
Standard_Integer | myValue
TCollection_MapNodePtr | myNext2

## Constructor & Destructor Documentation

WOKernel_IndexedDataMapNodeOfSCMapOfSortedImpldepFromIterator::WOKernel_IndexedDataMapNodeOfSCMapOfSortedImpldepFromIterator | ( | const Handle(TCollection_HAsciiString)& | K1,
|  | const Standard_Integer | K2,
|  | const Standard_Integer & | I,
|  | const TCollection_MapNodePtr & | n1,
|  | const TCollection_MapNodePtr & | n2
| ) |

## Member Function Documentation

Standard_EXPORT const WOKernel_IndexedDataMapNodeOfSCMapOfSortedImpldepFromIterator::Handle | ( | Standard_Type |  | ) | const

Handle_TCollection_HAsciiString& WOKernel_IndexedDataMapNodeOfSCMapOfSortedImpldepFromIterator::Key1 | ( |  | ) | const

Standard_Integer& WOKernel_IndexedDataMapNodeOfSCMapOfSortedImpldepFromIterator::Key2 | ( |  | ) | const

TCollection_MapNodePtr& WOKernel_IndexedDataMapNodeOfSCMapOfSortedImpldepFromIterator::Next2 | ( |  | ) | const

Standard_Integer& WOKernel_IndexedDataMapNodeOfSCMapOfSortedImpldepFromIterator::Value | ( |  | ) | const

## Field Documentation

Handle_TCollection_HAsciiString WOKernel_IndexedDataMapNodeOfSCMapOfSortedImpldepFromIterator::myKey1 `[private]`

Standard_Integer WOKernel_IndexedDataMapNodeOfSCMapOfSortedImpldepFromIterator::myKey2 `[private]`

TCollection_MapNodePtr WOKernel_IndexedDataMapNodeOfSCMapOfSortedImpldepFromIterator::myNext2 `[private]`

Standard_Integer WOKernel_IndexedDataMapNodeOfSCMapOfSortedImpldepFromIterator::myValue `[private]`

The documentation for this class was generated from the following file:

- WOKernel_IndexedDataMapNodeOfSCMapOfSortedImpldepFromIterator.hxx